io.agora.rtc

## Class RemoteVideoStreamInfo

- java.lang.Object
- - io.agora.rtc.RemoteVideoStreamInfo

-     public class RemoteVideoStreamInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte` | `currentDownscaleLevel`
    `private byte` | `streamType`
    `private byte` | `totalDownscaleLevelCounts`
    `private int` | `uid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteVideoStreamInfo()`
    `RemoteVideoStreamInfo(int uid, byte streamType, byte currentDownscaleLevel, byte totalDownscaleLevelCounts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getCurrentDownscaleLevel()`
    `byte` | `getStreamType()`
    `byte` | `getTotalDownscaleLevelCounts()`
    `int` | `getUid()`
    `void` | `setCurrentDownscaleLevel(byte currentDownscaleLevel)`
    `void` | `setStreamType(byte streamType)`
    `void` | `setTotalDownscaleLevelCounts(byte totalDownscaleLevelCounts)`
    `void` | `setUid(int uid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uid

          private int uid

    - #### streamType

          private byte streamType

    - #### currentDownscaleLevel

          private byte currentDownscaleLevel

    - #### totalDownscaleLevelCounts

          private byte totalDownscaleLevelCounts

  - ### Constructor Detail

    - #### RemoteVideoStreamInfo

          public RemoteVideoStreamInfo()

    - #### RemoteVideoStreamInfo

          public RemoteVideoStreamInfo(int uid,
                                       byte streamType,
                                       byte currentDownscaleLevel,
                                       byte totalDownscaleLevelCounts)

  - ### Method Detail

    - #### getUid

          public int getUid()

    - #### setUid

          public void setUid(int uid)

    - #### getStreamType

          public byte getStreamType()

    - #### setStreamType

          public void setStreamType(byte streamType)

    - #### getCurrentDownscaleLevel

          public byte getCurrentDownscaleLevel()

    - #### setCurrentDownscaleLevel

          public void setCurrentDownscaleLevel(byte currentDownscaleLevel)

    - #### getTotalDownscaleLevelCounts

          public byte getTotalDownscaleLevelCounts()

    - #### setTotalDownscaleLevelCounts

          public void setTotalDownscaleLevelCounts(byte totalDownscaleLevelCounts)